XmTextGetStringWcs(library call)

NAME
XmTextGetStringWcs — A Text function that retrieves a copy of the wide character string value of a Text widget

SYNOPSIS

#include <Xm/Text.h>
wchar_t * XmTextGetStringWcs(
Widget widget);

DESCRIPTION

XmTextGetStringWcs retrieves a copy of the wide character string value of the Text widget. The application is responsible for freeing the storage associated with the string by calling XtFree.

widget
    Specifies the Text widget ID

For a complete definition of Text and its associated resources, see XmText(3).

RETURN

Returns the wide character string value of the Text widget. The function returns an empty string if the length of the Text widget's string is 0 (zero).

RELATED

XmText(3) and XmTextGetString(3).